VTK: vtkCoincidentPoints Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Friends | List of all members
vtkCoincidentPoints Class Reference

contains an octree of labels More...

`#include <vtkCoincidentPoints.h>`

Inheritance diagram for vtkCoincidentPoints:
[legend]
Collaboration diagram for vtkCoincidentPoints:
[legend]

## Public Types
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkCoincidentPoints * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | AddPoint (vtkIdType Id, const double point[3])
| Accumulates a set of Ids in a map where the point coordinate is the key. More...
vtkIdList * | GetCoincidentPointIds (const double point[3])
| Retrieve the list of point Ids that are coincident with the given point. More...
vtkIdList * | GetNextCoincidentPointIds ()
| Used to iterate the sets of coincident points within the map. More...
void | InitTraversal ()
| Initialize iteration to the beginning of the coincident point map. More...
void | RemoveNonCoincidentPoints ()
| Iterate through all added points and remove any entries that have no coincident points (only a single point Id). More...
void | Clear ()
| Clear the maps for reuse. More...
implementation * | GetImplementation ()
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkCoincidentPoints * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkCoincidentPoints * | SafeDownCast (vtkObjectBase *o)
static void | SpiralPoints (vtkIdType num, vtkPoints *offsets)
| Calculate num points, at a regular interval, along a parametric spiral. More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkCoincidentPoints ()
| ~vtkCoincidentPoints () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Friends
class | implementation

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

contains an octree of labels

This class provides a collection of points that is organized such that each coordinate is stored with a set of point id's of points that are all coincident.

Definition at line 24 of file vtkCoincidentPoints.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkObject vtkCoincidentPoints::Superclass

Definition at line 28 of file vtkCoincidentPoints.h.

## Constructor & Destructor Documentation

## ◆ vtkCoincidentPoints()

vtkCoincidentPoints::vtkCoincidentPoints | ( |  | ) |
| protected

## ◆ ~vtkCoincidentPoints()

vtkCoincidentPoints::~vtkCoincidentPoints | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkCoincidentPoints* vtkCoincidentPoints::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkCoincidentPoints::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkCoincidentPoints::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkObjectBase.

## ◆ SafeDownCast()

static vtkCoincidentPoints* vtkCoincidentPoints::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkCoincidentPoints::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

## ◆ NewInstance()

vtkCoincidentPoints* vtkCoincidentPoints::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkCoincidentPoints::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkObject.

## ◆ AddPoint()

void vtkCoincidentPoints::AddPoint | ( | vtkIdType | Id,
|  | const double | point[3]
| ) |  |

Accumulates a set of Ids in a map where the point coordinate is the key.

All Ids in a given map entry are thus coincident.

Parameters

  | Id | - a unique Id for the given point that will be stored in an vtkIdList.
  [in] | point | - the point coordinate that we will store in the map to test if any other points are coincident with it.

## ◆ GetCoincidentPointIds()

vtkIdList* vtkCoincidentPoints::GetCoincidentPointIds | ( | const double | point[3] | ) |

Retrieve the list of point Ids that are coincident with the given point.

Parameters

  [in] | point | - the coordinate of coincident points we want to retrieve.

## ◆ GetNextCoincidentPointIds()

vtkIdList* vtkCoincidentPoints::GetNextCoincidentPointIds | ( |  | ) |

Used to iterate the sets of coincident points within the map.

InitTraversal must be called first or nullptr will always be returned.

## ◆ InitTraversal()

void vtkCoincidentPoints::InitTraversal | ( |  | ) |

Initialize iteration to the beginning of the coincident point map.

## ◆ RemoveNonCoincidentPoints()

void vtkCoincidentPoints::RemoveNonCoincidentPoints | ( |  | ) |

Iterate through all added points and remove any entries that have no coincident points (only a single point Id).

## ◆ Clear()

void vtkCoincidentPoints::Clear | ( |  | ) |

Clear the maps for reuse.

This should be called if the caller might reuse this class (another executive pass for instance).

## ◆ GetImplementation()

implementation* vtkCoincidentPoints::GetImplementation | ( |  | ) |
| inline

Definition at line 70 of file vtkCoincidentPoints.h.

## ◆ SpiralPoints()

static void vtkCoincidentPoints::SpiralPoints | ( | vtkIdType | num,
|  | vtkPoints * | offsets
| ) |  |
| static

Calculate num points, at a regular interval, along a parametric spiral.

Note this spiral is only in two dimensions having a constant z value.

## Friends And Related Function Documentation

## ◆ implementation

friend class implementation
| friend

Definition at line 89 of file vtkCoincidentPoints.h.

The documentation for this class was generated from the following file:

- Filters/General/vtkCoincidentPoints.h